Instagram

  • Log in
  • Overview
  • Authentication
  • Real-time
  • iPhone Hooks
  • API Console
  • Endpoints
    • Users
    • Relationships
    • Media
    • Comments
    • Likes
    • Tags
    • Locations
    • Geographies
  • Embedding
  • Libraries
  • Forum

Media Endpoints

  • GET /media/media-id Get information about a media object.
  • GET /media/search Search for media in a given area. The default time span is set to 5 days. The time span must not exceed 7 days. Defaults time stamps cover the last 5 days.
  • GET /media/popular Get a list of currently popular media.

GET /media/media-id

  • Response
https://api.instagram.com/v1/media/3?access_token=ACCESS-TOKEN
{
    "data": {
        "type": "image",
        "users_in_photo": [{
            "user": {
                "username": "kevin",
                "full_name": "Kevin S",
                "id": "3",
                "profile_picture": "..."
            },
            "position": {
                "x": 0.315,
                "y": 0.9111
            }
        }],
        "filter": "Walden",
        "tags": [],
        "comments": {
            "data": [{
                "created_time": "1279332030",
                "text": "Love the sign here",
                "from": {
                    "username": "mikeyk",
                    "full_name": "Mikey Krieger",
                    "id": "4",
                    "profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_1242695_75sq_1293915800.jpg"
                },
                "id": "8"
            },
            {
                "created_time": "1279341004",
                "text": "Chilako taco",
                "from": {
                    "username": "kevin",
                    "full_name": "Kevin S",
                    "id": "3",
                    "profile_picture": "..."
                },
                "id": "3"
            }],
            "count": 2
        },
        "caption": null,
        "likes": {
            "count": 1,
            "data": [{
                "username": "mikeyk",
                "full_name": "Mikeyk",
                "id": "4",
                "profile_picture": "..."
            }]
        },
        "link": "http://instagr.am/p/D/",
        "user": {
            "username": "kevin",
            "full_name": "Kevin S",
            "profile_picture": "...",
            "bio": "...",
            "website": "...",
            "id": "3"
        },
        "created_time": "1279340983",
        "images": {
            "low_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2010/07/16/4de37e03aa4b4372843a7eb33fa41cad_6.jpg",
                "width": 306,
                "height": 306
            },
            "thumbnail": {
                "url": "http://distillery.s3.amazonaws.com/media/2010/07/16/4de37e03aa4b4372843a7eb33fa41cad_5.jpg",
                "width": 150,
                "height": 150
            },
            "standard_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2010/07/16/4de37e03aa4b4372843a7eb33fa41cad_7.jpg",
                "width": 612,
                "height": 612
            }
        },
        "id": "3",
        "location": null
    }
}

Get information about a media object. Note: if you authenticate with an OAuth Token, you will receive the user_has_liked key which quickly tells you whether the current user has liked this media item.

GET /media/search

  • Response
https://api.instagram.com/v1/media/search?lat=48.858844&lng=2.294351&?access_token=ACCESS-TOKEN
{
    "data": [{
        "distance": 41.741369194629698,
        "type": "image",
        "users_in_photo": [],
        "filter": "Earlybird",
        "tags": [],
        "comments": { ... },
        "caption": null,
        "likes": { ... },
        "link": "http://instagr.am/p/BQEEq/",
        "user": {
            "username": "mahaface",
            "profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_1329896_75sq_1294131373.jpg",
            "id": "1329896"
        },
        "created_time": "1296251679",
        "images": {
            "low_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/01/28/0cc4f24f25654b1c8d655835c58b850a_6.jpg",
                "width": 306,
                "height": 306
            },
            "thumbnail": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/01/28/0cc4f24f25654b1c8d655835c58b850a_5.jpg",
                "width": 150,
                "height": 150
            },
            "standard_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/01/28/0cc4f24f25654b1c8d655835c58b850a_7.jpg",
                "width": 612,
                "height": 612
            }
        },
        "id": "20988202",
        "location": null
    },
    ...
    ]
}

Search for media in a given area. The default time span is set to 5 days. The time span must not exceed 7 days. Defaults time stamps cover the last 5 days.

Parameters
lat Latitude of the center search coordinate. If used, lng is required.
min_timestamp A unix timestamp. All media returned will be taken later than this timestamp.
lng Longitude of the center search coordinate. If used, lat is required.
max_timestamp A unix timestamp. All media returned will be taken earlier than this timestamp.
distance Default is 1km (distance=1000), max distance is 5km.

GET /media/popular

  • Response
https://api.instagram.com/v1/media/popular?access_token=ACCESS-TOKEN
{
    "data": [{
        "type": "image",
        "users_in_photo": [],
        "filter": "Gotham",
        "tags": [],
        "comments": { ... },
        "caption": {
            "created_time": "1296656006",
            "text": "ハート♥アプリ始めて使ってみたょ(^^)",
            "from": {
                "username": "cocomiin",
                "full_name": "",
                "type": "user",
                "id": "1127272"
            },
            "id": "26329105"
        },
        "likes": {
            "count": 35,
            "data": [{
                "username": "mikeyk",
                "full_name": "Kevin S",
                "id": "4",
                "profile_picture": "..."
            }, {...subset of likers...}]
        },
        "link": "http://instagr.am/p/BV5v_/",
        "user": {
            "username": "cocomiin",
            "full_name": "Cocomiin",
            "profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_1127272_75sq_1296145633.jpg",
            "id": "1127272"
        },
        "created_time": "1296655883",
        "images": {
            "low_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/02/01/34d027f155204a1f98dde38649a752ad_6.jpg",
                "width": 306,
                "height": 306
            },
            "thumbnail": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/02/01/34d027f155204a1f98dde38649a752ad_5.jpg",
                "width": 150,
                "height": 150
            },
            "standard_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/02/01/34d027f155204a1f98dde38649a752ad_7.jpg",
                "width": 612,
                "height": 612
            }
        },
        "id": "22518783",
        "location": null
    },
    ...
    ]
}

Get a list of what media is most popular at the moment.

At this time, uploading via the API is not possible. We made a conscious choice not to add this for the following reasons:

  1. Instagram is about your life on the go – we hope to encourage photos from within the app. However, in the future we may give whitelist access to individual apps on a case by case basis.
  2. We want to fight spam & low quality photos. Once we allow uploading from other sources, it's harder to control what comes into the Instagram ecosystem. All this being said, we're working on ways to ensure users have a consistent and high-quality experience on our platform.
  • About us
  • Support
  • Blog
  • API
  • Jobs
  • Privacy
  • Terms

© 2013 Instagram